<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/* based on  td-Glossaire 2.1                                           */
/* REVENDEURS                                                           */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2011 by Philippe Brunier   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!function_exists("Mysql_Connexion")) {
   include ("mainfile.php");
}

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

include ("modules/$ModPath/revendeurs.conf.php");
include ("modules/$ModPath/lang/revendeurs.$language.php");
include ("modules/$ModPath/cache.timings.php");

function glohead() {
   global $ModPath, $ModStart, $activ_rech, $NPDS_Prefix;

   include("header.php");
   OpenTable();
   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo rev_translate("Revendeurs")." - ".rev_translate("Slectionner un dpartement")."\n";
   echo "</td></tr></table>\n";

   echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td align=\"center\">\n";
   tlist($acount);
   echo "</td></tr></table>\n";
   if ($activ_rech)
      aff_forme_rech();
   CloseTable();
}

function glofoot(){
   include ("footer.php");
}

function rand_glo() {
   global $nb_affichage, $NPDS_Prefix;

   $acounter = sql_query("SELECT count(*) FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0'");
   list($acount) = sql_fetch_row($acounter);
   if ($acount != 0) {
      OpenTable();
      echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
      echo rev_translate("Quelques revendeurs");
      echo "</td></tr></table>\n";
      echo "<br />";
      echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
      settype($nb_affichage,"integer");
      $TableRep=sql_query("SELECT id, nom, definition, lien FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0' ORDER BY RAND() LIMIT $nb_affichage");
      while (list($id_terme,$terme,$terme_def, $terme_lien) = sql_fetch_row($TableRep)) {
         $rowcolor = tablos();
         echo "<tr $rowcolor><td align=\"left\" valign=\"top\" width=\"20%\"><b>$terme</b></td><td align=\"left\">$terme_def </td>";
         if ($terme_lien) {
            echo "<tr $rowcolor><td colspan=\"2\">".translate("Web Links")." : <a href=\"$terme_lien\" target=\"_blank\" class=\"noir\">$terme_lien</a></td></tr>\n";
         }
         echo "<tr><td colspan=\"2\">&nbsp;</td></tr>";
      }
      echo "</table>";
      CloseTable();
   }      
}

function categ_glo($gcat, $debut) {
   global $ModPath, $ModStart, $SuperCache, $nb_affichage, $NPDS_Prefix;

   $cate = removeHack(StripSlashes(strip_tags(urldecode($gcat), ENT_NOQUOTES)));
   settype($debut,"integer");
   if ($debut=="") { $debut=0; }

   $TableRep=sql_query("SELECT id FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0' AND gcat='$cate' ORDER BY nom");
   $nbe=sql_num_rows($TableRep);
   
   // Include cache manager
   if ($SuperCache) {
      $cache_obj = new cacheManager();
      $cache_obj->startCachingPage();
   }
   if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache)) {
      OpenTable();
      settype($nb_affichage,"integer");
      $TableRep=sql_query("SELECT id, nom, definition, lien FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0' AND gcat='$cate' ORDER BY nom LIMIT $debut,$nb_affichage");
      $top=1;
      $topsuivant="modules.php?ModPath=$ModPath&amp;ModStart=$ModStart&amp;gcat=$cate";

      if ($top==1) {
         echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
         echo "<tr><td class=\"ongl\" colspan=\"2\"><span class=\"rouge\">$nbe</span> ".rev_translate("Rponse(s)")."</td></tr>\n";
         while (list($glo_id, $glo_nom, $glo_definition, $glo_lien)=sql_fetch_row($TableRep)) {
            $rowcolor = tablos();
            echo "<tr $rowcolor><td align=\"left\" valign=\"top\" width=\"20%\"><b>$glo_nom</b></td><td align=\"left\">$glo_definition </td>";
            echo "</td></tr>\n";
            if ($glo_lien) {
               echo "<tr $rowcolor><td colspan=\"2\">".translate("Web Links")." : <a href=\"$glo_lien\" target=\"_blank\" class=\"noir\">$glo_lien</a></td></tr>\n";
            }
            echo "<tr><td colspan=\"2\">&nbsp;</td></tr>";
         }
         echo "</table>\n\n";
      }
      pagination ($top, $debut, $topsuivant, $nb_affichage, $nbe);
      CloseTable();
   }
   if ($SuperCache) {
      $cache_obj->endCachingPage();
   }
}

function rech_terme($type, $terme, $debut) {
   global $ModPath, $ModStart, $SuperCache, $nb_affichage, $NPDS_Prefix;

   settype($type, "integer");
   $query=removeHack(StripSlashes(strip_tags(urldecode($terme), ENT_NOQUOTES))); // electrobug
   settype($debut,"integer");

   if ($type =="1") {
      $types = "nom LIKE '%$query%'";
   }
   if ($type =="2") {
      $types = "definition LIKE '%$query%'";
   }
   if ($type =="3") {
      $types = "nom LIKE '%$query%' OR definition LIKE '%$query%' or nom SOUNDS LIKE '%$query%' or definition SOUNDS LIKE '%$query%'";
   }

   if ($debut=="") { $debut=0; }
   $TableRep=sql_query("SELECT id, nom, definition FROM ".$NPDS_Prefix."revendeurs WHERE $types AND affiche!='0' ORDER BY nom ");
   $nbe=sql_num_rows($TableRep);
   // Include cache manager
   if ($SuperCache) {
      $cache_obj = new cacheManager();
      $cache_obj->startCachingPage();
   }
   if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache)) {
      OpenTable();
      settype($nb_affichage,"integer");
      $result = sql_query("SELECT id, nom, definition, lien FROM ".$NPDS_Prefix."revendeurs WHERE $types AND affiche!='0' ORDER BY nom LIMIT $debut,$nb_affichage");
      $top=1;
      $topsuivant="modules.php?ModPath=$ModPath&amp;ModStart=$ModStart&amp;op=rech_terme&amp;terme=$terme&amp;type=$type";

      if ($top==1) {
         echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
         echo "<tr><td class=\"ongl\" colspan=\"2\"><span class=\"rouge\">$nbe</span> ".rev_translate("Rponse(s)")."</td></tr>\n";
         while (list($glo_id, $glo_nom, $glo_definition, $glo_lien)=sql_fetch_row($result)) {
            $rowcolor = tablos();
            echo "<tr $rowcolor><td align=\"left\" valign=\"top\" width=\"20%\"><b>$glo_nom</b></td><td align=\"left\">$glo_definition </td>";
            echo "</td></tr>\n";
            if ($glo_lien) {
               echo "<tr $rowcolor><td colspan=\"2\">".translate("Web Links")." : <a href=\"$glo_lien\" target=\"_blank\" class=\"noir\">$glo_lien</a></td></tr>\n";
            }
            echo "<tr><td colspan=\"2\">&nbsp;</td></tr>";
         }
         echo "</table>\n";
      }
      pagination ($top, $debut,$topsuivant,$nb_affichage,$nbe);
      CloseTable();
   }
   if ($SuperCache) {
      $cache_obj->endCachingPage();
   }
}
function rech_cat($terme, $debut) {
   global $ModPath, $ModStart, $SuperCache, $nb_affichage, $NPDS_Prefix;

   $query=removeHack(StripSlashes(strip_tags(urldecode($terme), ENT_NOQUOTES))); // electrobug
   settype($debut,"integer");

   if ($debut=="") { $debut=0; }
   $TableRep=sql_query("SELECT id, nom, definition FROM ".$NPDS_Prefix."revendeurs WHERE gcat='$query' AND affiche!='0' ORDER BY nom ");
   $nbe=sql_num_rows($TableRep);
   // Include cache manager
   if ($SuperCache) {
      $cache_obj = new cacheManager();
      $cache_obj->startCachingPage();
   }
   if (($cache_obj->genereting_output==1) or ($cache_obj->genereting_output==-1) or (!$SuperCache)) {
      OpenTable();
      settype($nb_affichage,"integer");
      $result = sql_query("SELECT id, nom, definition, lien FROM ".$NPDS_Prefix."revendeurs WHERE gcat='$query' AND affiche!='0' ORDER BY nom LIMIT $debut,$nb_affichage");
      $top=1;
      $topsuivant="modules.php?ModPath=$ModPath&amp;ModStart=$ModStart&amp;op=rech_cat&amp;terme=$terme";

      if ($top==1) {
         echo "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=\"0\">\n";
         echo "<tr><td class=\"ongl\" colspan=\"2\"><span class=\"rouge\">$nbe</span> ".rev_translate("Rponse(s)")."</td></tr>\n";
         while (list($glo_id, $glo_nom, $glo_definition, $glo_lien)=sql_fetch_row($result)) {
            $rowcolor = tablos();
            echo "<tr $rowcolor><td align=\"left\" valign=\"top\" width=\"20%\"><b>$glo_nom</b></td><td align=\"left\">$glo_definition </td>";
            echo "</td></tr>\n";
            if ($glo_lien) {
               echo "<tr $rowcolor><td colspan=\"2\">".translate("Web Links")." : <a href=\"$glo_lien\" target=\"_blank\" class=\"noir\">$glo_lien</a></td></tr>\n";
            }
            echo "<tr><td colspan=\"2\">&nbsp;</td></tr>";
         }
         echo "</table>\n";
      }
      pagination ($top, $debut,$topsuivant,$nb_affichage,$nbe);
      CloseTable();
   }
   if ($SuperCache) {
      $cache_obj->endCachingPage();
   }
}

// SOUS-FONCTIONS
function tlist($acount) {
  global $ModPath, $ModStart, $gcat, $NPDS_Prefix;
  $cate = stripslashes($gcat);
  echo "<table width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"2\" class=\"titboxc\">\n";
  echo "<tr>\n";

  $result = sql_query("SELECT DISTINCT gcat, count(gcat) FROM ".$NPDS_Prefix."revendeurs WHERE affiche!='0' GROUP BY gcat ORDER BY gcat");
  $rup=0;
  while (list($category, $dcount) = sql_fetch_row($result)) {
    $rup++;
    $category=stripslashes($category);
    echo "<td width=\"10%\" nowrap=\"nowrap\">";
    if ($category == $cate) {
        echo "<span class=\"noir\"> <b>$category ($dcount)</b></span> \n";
    } else {
        $category2 = urlencode($category);
        echo "<a href=\"modules.php?ModPath=$ModPath&amp;ModStart=$ModStart&amp;gcat=$category2\" class=\"noir\">";
        echo " $category</a> ($dcount) \n";
    }
    echo "</td>";
    if ($rup>=10) {
       echo "</tr>\n<tr>";
       $rup=0;
    }
  }
  echo "</tr></table>\n";
}
function aff_forme_rech() {
   global $ModPath, $ModStart;
   echo "<form action=\"modules.php?ModPath=$ModPath&amp;ModStart=$ModStart\" method=\"post\">\n";
   echo "<p align=\"center\"><b>".translate("Search")." ".translate("by")." :</b> \n";
   echo "<select class=\"textbox_standard\" name=\"type\">\n";
   echo "<option value=\"1\"> ".rev_translate("Raison sociale")."\n";
   echo "<option value=\"2\"> ".rev_translate("Adresse");
   echo "\n<option value=\"3\" selected> ".rev_translate("Raison sociale")." & ".rev_translate("Adresse");
   echo "\n</select>\n";
   echo "<input type=\"hidden\" name=\"op\" value=\"rech_terme\" />\n";
   echo " <input class=\"textbox_standard\" type=\"text\" name=\"terme\" size=\"13\" maxsize=\"100\" /> - <input class=\"bouton_standard\" type=\"submit\" value=\"".translate("Submit")."\" />\n";
   echo "</p></form>\n";
}
function pagination ($top, $debut, $topsuivant, $nb_affichage, $nbe) {
   global $ModPath, $ModStart;
   if ($top==1) {
       echo "<br /><p align=\"center\">\n";
       if ($debut != 0) {
          echo "<a href=\"".$topsuivant."&debut=";
          $resultat = ($debut-$nb_affichage);
          if ($resultat < 0) {
             $resultat = 0;
          }
          if ($ibid=theme_image("download/left.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/download/left.gif";}
          echo "$resultat\" class=\"noir\"><img src=".$imgtmp." border=\"0\" align=\"absmiddle\" alt=\"\" /> ".translate("previous matches")."</a>\n";
          $deb=true;
       }
       if (($debut+$nb_affichage) < $nbe) {
          if ($deb)
             echo "|&nbsp;";
          echo "<a href=\"".$topsuivant."&debut=";
          $final =($debut+$nb_affichage);
          if ($final >= $nbe) {
             $final=($nbe - $nb_affichage);
          }
          if ($ibid=theme_image("download/right.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/download/right.gif";}
          echo $final."\" class=\"noir\">".translate("next matches")." <img src=".$imgtmp." border=\"0\" align=\"absmiddle\" alt=\"\" /></a>\n";
       }
    echo "</p>\n";
   }
}
// SWITCH AFFICHAGE PAGE
switch($op) {
   case "rech_terme":
      glohead();
      rech_terme($type, $terme, $debut);
      glofoot();
      break;

   case "rech_cat":
      glohead();
      rech_cat($terme, $debut);
      glofoot();
      break;

    default:
      glohead();
      if (empty($gcat)) {
         rand_glo();
      } else {
         categ_glo($gcat, $debut);
      }
      glofoot();
      break;
}
?>